*
*
Rensselaer Polytechnic Institute
Rensselaer Polytechnic Institute
RPInfo | RPI LMS | Help Desk | Events Calendar
RPI LMS Support, Rensselaer Polytechnic Institute

RPI LMS Support

*
*
*

Your Choice of Browser Affects Your LMS Experience

The following browsers are supported:

  • Internet Explorer 8 & 9
  • Firefox Final Release Channel* (Firefox Nightly, Aurora and Beta versions are not supported.)
  • Google Chrome Stable Version (Google Chrome Beta and Developer versions are not supported.)
  • Safari 5.0 & 5.1

* Firefox Final Release Channel is the recommended browser

Here is a list of supported browsers and operating system combinations

RPILMS requires the latest version of Sun JRE 6 which can be downloaded from here.

Note: JRE 7 is not supported.